Skip to main content
POST
/
v5
/
auth
/
userInfo
Update a Tight account
curl --request POST \
  --url https://sandbox.hurdlr.com/rest/v5/auth/userInfo \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: */*' \
  --data '
{
  "userInfo": {
    "userId": "<string>",
    "email": "<string>",
    "firstName": "<string>",
    "lastName": "<string>",
    "bizName": "Better Homes and Gardens",
    "phoneWork": "<string>",
    "address1": "<string>",
    "address2": "<string>",
    "city": "<string>",
    "state": "<string>",
    "zip": "<string>",
    "entityType": "SOLE_PROPRIETORSHIP",
    "accountingMethod": "CASH",
    "itemizePayouts": true,
    "suggestRules": true,
    "userRole": "OWNER",
    "availableFeatures": {
      "bankTransactions": true,
      "bills": true,
      "bookkeeping": true,
      "imports": true,
      "invoicing": true,
      "payroll": true,
      "reporting": true,
      "taxes": true,
      "timeTracking": true
    },
    "mcc": 5812,
    "naics": 722511,
    "federalTaxIdInfo": {
      "type": "EIN",
      "number": "123456789"
    },
    "bankInfo": {
      "routingNumber": "111000025",
      "accountNumber": "9876543210"
    }
  }
}
'
{
  "result": "SUCCESS",
  "errors": {
    "fieldErrors": {},
    "globalErrors": [
      {
        "type": "DUPLICATE",
        "errorMessage": "<string>"
      }
    ]
  },
  "id": "<string>",
  "webhook": {
    "userId": "<string>",
    "accountantUserId": "<string>",
    "type": "ENTITY_UPDATE"
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

*/*
userInfo
object

Response

200 - application/json

Successful operation

Object containing details about result of the action performed

result
enum<string>

The result of the action performed

Available options:
SUCCESS,
FAILURE
errors
object

Error object containing details errors incurred, if any

id
string

Id of the entity being acted upon

webhook
object